#include<bits/stdc++.h>
using namespace std;
long long  mod = 998244353;

int  main() {
    int n, m , k;
    cin >> n >> m >> k;

    long long ans = m;
    for(int i = 0; i < n - 1; i++){
        ans *= m;
        ans %= mod;
    }
    cout << ans << "\n";



    return 0;
}
